.btn {
    color: $blue;
    border: none;
    outline: none;
    cursor: pointer;
    font-weight: 400;
    font-size: rem(15);
    line-height: rem(20);
    min-height: rem(40);
    padding: rem(4) rem(20);
    user-select: none;
    text-align: center;
//    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    background: $gray-100;
    border-radius: rem(10);
    transition: .25s;
    fill: $blue;

    &:hover {
        color: $blue;
        background: #e9e9ff;
        text-decoration: none;
        fill: $blue;
        transition: .25s;
    }

    &:active {
        background: $gray-100;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(12);
    }

    span + i {
        margin-left: rem(10);
    }

    i + span {
        margin-left: rem(6);
    }

    @include media-breakpoint-up(md) {
        line-height: rem(21);
        padding: rem(13) rem(32);
    }
}

.btn-light {
    background: #F5F5FF;

    &:hover {
        background: #d7d7ff;
    }
    &:active {
        background: #F5F5FF;
    }
}

.btn-blue {
    color: $white;
    fill: $white;
    background: $blue;

    &:hover {
        color: $white;
        fill: $white;
        background: $blue-hover;
    }
    &:active {
        background: $blue;
    }
}

.btn-white {
    background: $white;

    &:hover {
        color: $white;
        background: $blue;
    }
    &:active {
        color: $blue;
        background: $white;
    }
}

.btn-variant {
    background: #F5F5FF;

    &:hover {
        background: #d7d7ff;
    }
    &:active {
        background: #F5F5FF;
    }

    @include media-breakpoint-up(md) {
        background: transparent;

        &:hover {
            color: $blue;
            background: #F5F5FF;
            fill: $blue;
        }

        &:active {
            background: transparent;
        }
    }
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}

.btn-inline {
    margin: 0 rem(-3);
    display: flex;
    align-items: center;
    flex-wrap: wrap;

    &__item {
        padding: 0 rem(3);
    }
}

.btn-icon {
    margin: 0;
    padding: 0;
    cursor: pointer;
    font-size: 0;
    line-height: 0;
    width: rem(38);
    height: rem(38);
    border: none;
    outline: none;
    border-radius: rem(10);
    background: $white;
    fill: $blue-dark;

    i {
        display: inline-block;
    }

    &:hover {
        color: $blue;
        fill: $blue;
        background: #e9e9ff;
    }

    &.active {
        fill: $white;
        background: $blue;
    }

    &--arrow {

        i {
            height: rem(12);
            display: inline-block;
        }
    }

    &.swiper-button-disabled {

        i {
            opacity: 0;
            visibility: hidden;
        }

        &:hover,
        &.active {
            background: $white;
        }
    }
}

.btn-icon-right {
    padding-left: rem(48);
    padding-right: rem(48);
    position: relative;

    i {
        margin: 0;
        left: auto;
        right: rem(18);
        height: rem(10);
        position: absolute;
        top: calc(50% - 0.3125rem);
    }
}

.btn-action {
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    width: rem(35);
    height: rem(35);
    cursor: pointer;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    fill: none;
    stroke: #847F97;

    i {
        height: rem(16);
        display: inline-block;
    }

    &:hover {
        stroke: $rose;
    }

    &.added {
        stroke: $rose;
        fill: $rose;
    }
}

.btn-sm {
    font-size: rem(13);
    border-radius: rem(5);
    padding: rem(7) rem(20);

    @include media-breakpoint-up(md) {
        font-size: rem(15);
        padding: rem(9) rem(20);
    }
}

.btn-xs {
    font-weight: 600;
    font-size: rem(12);
    line-height: rem(17);
    padding: rem(2) rem(5);
    border-radius: rem(5);
}

.btn-md {
    font-weight: 600;
    font-size: rem(13);
    line-height: rem(17);
    min-height: rem(47);
    padding: rem(4) rem(10);

    @include media-breakpoint-up(md) {
        font-size: rem(15);
        line-height: rem(21);
        padding: rem(4) rem(16);
    }
}

.btn-lg {
    height: rem(47);
    font-weight: 600;
}

.btn-xl  {
    height: rem(50);
    font-weight: 600;
    font-size: rem(16);
}

.btn-border {
    padding: rem(3) rem(20);
    border: rem(1) solid transparent;

    @include media-breakpoint-up(md) {
        padding: rem(12) rem(33);
        background-color: transparent;
        border-color: $gray-lilac;
    }
}

.slider-nav {
    display: flex;
    align-items: center;

    &__button {
        padding: 0;
        margin: 0;
        width: rem(35);
        height: rem(35);
        font-size: 0;
        line-height: 0;
        outline: none;
        cursor: pointer;
        background: transparent;
        border-radius: rem(10);
        border: rem(1) solid #C8C8E4;
        display: flex;
        align-items: center;
        justify-content: center;
        fill: #C8C8E4;
        transition: .3s;

        &:not(:first-child) {
            margin-left: rem(10);
        }

        i {
            height: rem(12);
            display: inline-block;
        }

        &--prev {

        }

        &--next {

        }

        &:hover {
            fill: $blue;
            border-color: $blue;
            transition: .3s;
        }

        @include media-breakpoint-up(md) {
            width: rem(48);
            height: rem(48);
        }
    }
}

.btn-view {
    display: inline-flex;
    align-items: center;
    color: $lilac;
    fill: $lilac;
    text-decoration: none;
    white-space: nowrap;
    font-size: rem(18);
    line-height: 110%;

    i {
        font-size: 0;
        line-height: 0;
        height: rem(25);
        display: inline-block;
        margin-right: rem(14);
    }

    span {
        display: inline-block;
    }

    &:hover {
        color: $blue;
        fill: $blue;
    }
}

